#!/bin/bash
#Error Notifier for Zebra ZXPS8 Printer

#CHNAGE LOG
# 01/11/2011 Added $5 to send the Panels remaining in Film as well as Ribbon


if [ $1 = "show" ]  #show msgbox
then

    DISPLAY=:0.0
    export DISPLAY
    # comment by canhua, $USER is root, it should be a normal user
    # XAUTHORITY=/home/$USER/.Xauthority
    # export XAUTHORITY
    xhost + >> /dev/null

    # get locale value when login with a normal user.   
    Z_CURRENT_LANG=`sed -n '1p' /tmp/zlocale.txt`
    Z_CURRENT_LANGUAGE=`sed -n '2p' /tmp/zlocale.txt`
    echo $Z_CURRENT_LANG
    echo $Z_CURRENT_LANGUAGE
    # Reset locale related variables to be the same as normal user, 
    # because when switching to root, locale variables are determined by /etc/default/locale, which is not correct.
    echo "Reset lang and language as normal user....."
    export LANG=$Z_CURRENT_LANG
    export LANGUAGE=$Z_CURRENT_LANGUAGE 
    echo $LANG
    echo $LANGUAGE
    /opt/apps/com.zebra.zxp7driver/files/ZebraZXP7Driver/ZXP7ErrorNotify "$2" "$3" "$4" "$5"
else
    pid=$(ps -aux | grep $1 | grep ZXP7ErrorNotify | awk '{ print $2 }') #kill the errordlg
    kill -9 $pid
fi
